﻿namespace EmployeesManager.Poco
{
    public class Employee
    {
        /// <summary>
        /// The Id of the employee
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// The name of the employee
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Title of the employee
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Age of employee
        /// </summary>
        public int Age { get; set; }

        /// <summary>
        /// Salary of employee
        /// </summary>
        public double Salary { get; set; }

        /// <summary>
        /// Id of manager of this employee
        /// </summary>
        public int? ManagerId { get; set; }

        /// <summary>
        /// Manager of this employee
        /// </summary>
        public Employee Manager { get; set; }
    }
}